import _extends from "@babel/runtime/helpers/esm/extends";
import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { Repository } from '@s-ui/domain';
var HTTPUnauthenticatedFetcher = /*#__PURE__*/function (_Repository) {
  _inheritsLoose(HTTPUnauthenticatedFetcher, _Repository);
  function HTTPUnauthenticatedFetcher(_ref) {
    var _this;
    var config = _ref.config,
      fetcher = _ref.fetcher;
    _this = _Repository.call(this) || this;
    _this._config = config;
    _this._fetcher = fetcher;
    return _this;
  }
  var _proto = HTTPUnauthenticatedFetcher.prototype;
  _proto.get = function get(_ref2) {
    var path = _ref2.path,
      params = _ref2.params,
      _ref2$options = _ref2.options,
      options = _ref2$options === void 0 ? {} : _ref2$options;
    var optionsWithExtraHeaders = _extends({}, options, {
      headers: _extends({}, options.headers || {})
    });
    return this._fetcher.get(path, _extends({}, optionsWithExtraHeaders, {
      params: params
    }));
  };
  _proto.post = function post(_ref3) {
    var path = _ref3.path,
      params = _ref3.params,
      _ref3$options = _ref3.options,
      options = _ref3$options === void 0 ? {} : _ref3$options;
    var optionsWithExtraHeaders = _extends({}, options, {
      headers: _extends({}, options.headers || {})
    });
    return this._fetcher.post(path, params, optionsWithExtraHeaders);
  };
  return HTTPUnauthenticatedFetcher;
}(Repository);
export { HTTPUnauthenticatedFetcher as default };