import _extends from "@babel/runtime/helpers/esm/extends";
import PropTypes from 'prop-types';
import PasswordResetHandler from './components/PasswordResetHandler.js';
import { STAGE_PASSWORD_CHANGE, STAGE_PASSWORD_RESET_START } from './config.js';
import { PasswordResetProvider } from './context.js';
import { jsx as _jsx } from "react/jsx-runtime";
export default function LoginPasswordReset(props) {
  return /*#__PURE__*/_jsx(PasswordResetProvider, _extends({}, props, {
    children: /*#__PURE__*/_jsx(PasswordResetHandler, {})
  }));
}
LoginPasswordReset.displayName = 'LoginPasswordReset';