import AtomButton, { atomButtonDesigns, atomButtonShapes, atomButtonSizes } from '@s-ui/react-atom-button';
import useI18n from '../../hooks/useI18n.js';
import { jsx as _jsx } from "react/jsx-runtime";
var LoginButton = function LoginButton() {
  var i18n = useI18n();
  return /*#__PURE__*/_jsx(AtomButton, {
    design: atomButtonDesigns.OUTLINE,
    fullWidth: true,
    link: true
    // linkFactory={Link}
    ,
    shape: atomButtonShapes.CIRCULAR,
    size: atomButtonSizes.LARGE,
    to: i18n.t('LOGIN_CROSS.URLS.LOGIN.ROOT'),
    children: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_1.RETURN_BUTTON')
  });
};
LoginButton.displayName = 'LoginButton';
export default LoginButton;