import MoleculeProgressSteps, { MoleculeProgressStep } from '@s-ui/react-molecule-progress-steps';
import { BASE_CLASS } from './../config.js';
import useGetStageInfoStep from './../hooks/components/useGetStageInfoStep.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var StageInfo = function StageInfo() {
  var _useGetStageInfoStep = useGetStageInfoStep(),
    getStageInfoData = _useGetStageInfoStep.getStageInfoData;
  var _getStageInfoData = getStageInfoData(),
    title = _getStageInfoData.title,
    message = _getStageInfoData.message,
    initialStepperState = _getStageInfoData.initialStepperState,
    endStepperState = _getStageInfoData.endStepperState;
  return /*#__PURE__*/_jsxs("div", {
    className: BASE_CLASS + "-stageInfo",
    children: [/*#__PURE__*/_jsx("div", {
      className: BASE_CLASS + "-stageInfoProgress",
      children: /*#__PURE__*/_jsxs(MoleculeProgressSteps, {
        compressed: true,
        children: [/*#__PURE__*/_jsx(MoleculeProgressStep, {
          label: initialStepperState.label,
          status: initialStepperState.status
        }), /*#__PURE__*/_jsx(MoleculeProgressStep, {
          label: endStepperState.label,
          status: endStepperState.status
        })]
      })
    }), /*#__PURE__*/_jsx("h1", {
      className: BASE_CLASS + "-stageInfoTitle",
      children: title
    }), /*#__PURE__*/_jsx("p", {
      className: BASE_CLASS + "-stageInfoMessage",
      children: message
    })]
  });
};
StageInfo.displayName = 'StageInfo';
export default StageInfo;