import { ChangePasswordRequest } from './ChangePasswordRequest.js';
import { ResetPasswordRequest } from './ResetPasswordRequest.js';
export var PasswordRequestsFactory = function PasswordRequestsFactory() {};
PasswordRequestsFactory.changePasswordRequest = function (_ref) {
  var password = _ref.password,
    token = _ref.token;
  return new ChangePasswordRequest({
    password: password,
    token: token
  });
};
PasswordRequestsFactory.resetPasswordRequest = function (_ref2) {
  var email = _ref2.email;
  return new ResetPasswordRequest({
    email: email
  });
};