import _asyncToGenerator from "@babel/runtime/helpers/esm/asyncToGenerator";
import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import _applyDecoratedDescriptor from "@babel/runtime/helpers/esm/applyDecoratedDescriptor";
var _class;
import _regeneratorRuntime from "@babel/runtime/regenerator";
import { inlineError } from '@s-ui/decorators';
import { UseCase } from '@s-ui/domain';
export var ResetPasswordUseCase = (_class = /*#__PURE__*/function (_UseCase) {
  _inheritsLoose(ResetPasswordUseCase, _UseCase);
  function ResetPasswordUseCase(_ref) {
    var _this;
    var config = _ref.config,
      resetPasswordService = _ref.resetPasswordService,
      resetPasswordRequest = _ref.resetPasswordRequest;
    _this = _UseCase.call(this) || this;
    _this._config = config;
    _this._resetPasswordService = resetPasswordService;
    _this._resetPasswordRequest = resetPasswordRequest;
    return _this;
  }
  var _proto = ResetPasswordUseCase.prototype;
  _proto.execute = /*#__PURE__*/function () {
    var _execute = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(_ref2) {
      var email, resetPasswordRequest, _yield$this$_resetPas, error, result;
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            email = _ref2.email;
            resetPasswordRequest = new this._resetPasswordRequest({
              email: email
            });
            _context.next = 4;
            return this._resetPasswordService.execute({
              resetPasswordRequest: resetPasswordRequest
            });
          case 4:
            _yield$this$_resetPas = _context.sent;
            error = _yield$this$_resetPas[0];
            result = _yield$this$_resetPas[1];
            if (!error) {
              _context.next = 9;
              break;
            }
            throw error;
          case 9:
            return _context.abrupt("return", result);
          case 10:
          case "end":
            return _context.stop();
        }
      }, _callee, this);
    }));
    function execute(_x) {
      return _execute.apply(this, arguments);
    }
    return execute;
  }();
  return ResetPasswordUseCase;
}(UseCase), (_applyDecoratedDescriptor(_class.prototype, "execute", [inlineError], Object.getOwnPropertyDescriptor(_class.prototype, "execute"), _class.prototype)), _class);